aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rc.sysinit
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/rc.sysinit')
-rwxr-xr-xrc.d/rc.sysinit6
1 files changed, 5 insertions, 1 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 5a1c80ce..47f622b4 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -11,7 +11,11 @@ if [ -z "$IN_INITLOG" ]; then
fi
# If we're using devfs, start devfsd now - we need the old device names
-[ -e /dev/.devfsd -a -x /sbin/devfsd ] && /sbin/devfsd
+[ -e /dev/.devfsd -a -x /sbin/devfsd ] && /sbin/devfsd /dev
+
+# Mount shm - ignore errors because the only "error" that can occur is
+# a kernel < 2.3.99 which doesn't require /var/shm
+mount -t shm none /var/shm &>/dev/null || :
# Set the path
PATH=/bin:/sbin:/usr/bin:/usr/sbin